#include <windows.h>
#include "resource.h"
#include "owsabox.h"

BOOL CALLBACK OWSAProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
	switch(msg)
	{
	case WM_INITDIALOG:
		// TODO: why icon didn't appear?
		SendMessage(GetDlgItem(hWnd, IDC_QICON), STM_SETICON, (WPARAM)LoadIcon(NULL, IDI_QUESTION), 0);
		mciSendString("sound SystemQuestion", NULL, 0, NULL);
		break;
	case WM_COMMAND:
		switch(LOWORD(wParam))
		{
		case IDOK:
		case IDC_OW:
		case IDCANCEL:
			EndDialog(hWnd, LOWORD(wParam));
			return TRUE;
		}
		break;
	case WM_CLOSE:
		SendMessage(hWnd, WM_COMMAND, IDCANCEL, 0);
		break;
	}

	return FALSE;
}

int OWSABox(HWND hWnd)
{
	return DialogBoxParam(GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_OWSABOX), hWnd, OWSAProc, 0);
}
