#ifndef __COMMON_H__
#define __COMMON_H__


#define USEFMOD

//#define STRICT

#define WINVER        0x0400    // Win 9x / NT 4.0 or later
#define _WIN32_IE     0x0300    // IE 3.0 or later


#include <windows.h>
#include <commctrl.h>
#include <commdlg.h>
#include <shlobj.h>

#include "resource.h"

/* define */
#define APPCLASS "BackMatic2"

#define STRMAX 256

#define BUFFBLOCK 4096

#define MB_ICONNOTIFY MB_ICONASTERISK

/* MACRO */
#ifndef ListView_SetCheckState
	#define ListView_SetCheckState(hwndLV, i, fCheck) ListView_SetItemState(hwndLV, i, INDEXTOSTATEIMAGEMASK((fCheck)+1), LVIS_STATEIMAGEMASK)
#endif
// TODO: only ANSI ok?
#define TOLOWER(c) ( ('A' <= (c) && (c) <= 'Z') ? ((c) + ('a' - 'A')) : (c) )
#define TOUPPER(c) ( ('a' <= (c) && (c) <= 'a') ? ((c) - ('a' - 'A')) : (c) )

/* prototype */
//void DebugBox(char *str, ...);

void* halloc(DWORD bytes);
void* hrealloc(void* ptr, DWORD bytes);
BOOL hfree(void* ptr);
/*
#define halloc(b) malloc(b)
#define hrealloc(p,b) realloc(p,b)
#define hfree(p) free(p)
*/
char* ReadLine(HANDLE hf);
LPCTSTR basename(LPCTSTR str);
BOOL addEndYen(LPTSTR str);
BOOL cutEndYen(LPTSTR str);
LPCTSTR lstrchr(LPCTSTR str, TCHAR chr);
LPCTSTR lstrchri(LPCTSTR str, TCHAR chr);
LPTSTR GetLine(LPTSTR *str);
LPCTSTR SkipLine(LPCTSTR *str);
BOOL makedir(LPCTSTR dir);
BOOL newString(LPTSTR* buf, UINT* bufsize);
BOOL setString(LPTSTR* buf, UINT* bufsize, LPCTSTR string);
BOOL appendString(LPTSTR* buf, UINT* bufsize, LPCTSTR string);
BOOL appendChar(LPTSTR* buf, UINT* bufsize, TCHAR chr);
int lstrcmpn(LPCTSTR str1, LPCTSTR str2, int len);
int lstrcmpni(LPCTSTR str1, LPCTSTR str2, int len);
LPCTSTR lastchar(LPCTSTR str, TCHAR chr);
LPCTSTR AllocLoadString(UINT id_string);
void FreeLoadedStrings(void);
LPCTSTR lstrstri(LPCTSTR string, LPCTSTR pattern);
DWORD SetLastErrorReturn(DWORD err);
DWORD GetDlgItemTextLength(HWND hDlg, UINT id);
LPTSTR AllocGetDlgItemText(HWND hDlg, UINT id);

// TODO: move to registry.c
HKEY getHKeyFromString(LPCTSTR path);

LPCTSTR CharNextX(LPCTSTR str);

#endif
