/*
 * ΂܂Ă2 `Ɣ́`
 *  by Murachue
 *
 *  StartProj:2.25.2006
 *  BCCtoVC6:4.5.2006
 *  FirstVer.:
 *
 * Backup tool for Windows
 */

#include "main.h"
#include "teditor.h"
#include "backup.h"
#include "version.h"
#ifdef USEFMOD
#include "minifmod/minifmod.h"
#include "mfwrap.h"
#endif

// rZ
int main = 0xCCCCCCCC;

//void CreateTEditForm(HWND hWnd, TEMPLATE* template);

HINSTANCE hAppInst;

HWND hList, hTool, hStatus, hProgress[2], hCombo, hToolTips, hBackupto, hBackuptoRefer;

static int sortcol = -1, sortseq;
static HIMAGELIST hImgList;

LPCTSTR comptypes[] = {TEXT("LZH"), TEXT("ZIP"), TEXT("CAB"), TEXT("RAR"), TEXT("GCA"), NULL};

/* param1, param2, user-defined-lParam */
static int CALLBACK MyCompProc(LPARAM lp1, LPARAM lp2, LPARAM lp3)
{
	static LV_FINDINFO lvf;
	static int nItem1, nItem2;
	static char buf1[30], buf2[30];

	lvf.flags = LVFI_PARAM;
	lvf.lParam = lp1;
	nItem1 = ListView_FindItem(hList, -1, &lvf);

	lvf.lParam = lp2;
	nItem2 = ListView_FindItem(hList, -1, &lvf);

	ListView_GetItemText(hList, nItem1, (int)lp3, buf1, sizeof(buf1));
	ListView_GetItemText(hList, nItem2, (int)lp3, buf2, sizeof(buf2));

	return(sortseq ? lstrcmp(buf1, buf2) * -1 : lstrcmp(buf1, buf2));
}

void AddToolTip(HWND hWndTips, HWND hWnd, HINSTANCE hInstance, UINT uId, LPCTSTR string)
{
	TOOLINFO ti = {0};

	//\̂̐ݒ
	ti.cbSize = sizeof(TOOLINFO);	//\̂̃TCY
	ti.hwnd = hWnd;					//eEChẼnh
	ti.uFlags = TTF_SUBCLASS;		//tO
	ti.hinst = hInstance;			//CX^Xnh

	ti.uId = uId;					//\Rg[ID
	ti.lpszText = (LPTSTR)string;	//c[`bṽeLXg

	//c[`bv̕\Ώۗ̈
	SendMessage(hWnd, TB_GETITEMRECT, uId, (LPARAM)&ti.rect);
	//c[`bvǉ
	SendMessage(hWndTips, TTM_ADDTOOL, 0, (LPARAM)(LPTOOLINFO)&ti);

	return;
}

void AddToolButton(HWND hWnd, BYTE fsState, BYTE fsStyle, int iBitmap, int idCommand, HWND hWndTips, HINSTANCE hInstance, LPCTSTR hint)
{
	TBBUTTON TB = {0};

	TB.fsState = fsState;
	TB.fsStyle = fsStyle;
	TB.iBitmap = iBitmap;
	TB.idCommand = idCommand;

	SendMessage(hWnd, TB_ADDBUTTONS, 1, (LPARAM)&TB);

	if(hToolTips)	/* Zp[^ƂhToolTipsNULLŁB */
	{
		AddToolTip(hWndTips, hWnd, hInstance, (UINT)idCommand, hint);
	}

	return;
}

void GetRectInClient(HWND hWnd, HWND hWndBase, RECT *rect)
{
	POINT point;
	int w, h;

	GetWindowRect(hWnd, rect);

	w = rect->right - rect->left;
	h = rect->bottom - rect->top;
	point.x = rect->left;
	point.y = rect->top;

	ScreenToClient(hWndBase, &point);

	rect->left = point.x;
	rect->top = point.y;
	rect->right = point.x + w;
	rect->bottom = point.y + h;

	return;
}

void SetToolTip(HWND hWnd, HWND hWndTips, int uId, LPCTSTR string)
{
	TOOLINFO ti = {0};

	/* hWndɐݒ->Disable̎łȂ hWnd'sParentɐݒ->Enable̎łȂ Ȃ񂾂̎dlB */

	/* For Disable */
	//\̂̐ݒ
	ti.cbSize = sizeof(TOOLINFO);							//\̂̃TCY
	ti.hwnd = (HWND)GetWindowLong(hWnd, GWL_HWNDPARENT);	//eEChẼnh
	ti.uFlags = TTF_SUBCLASS;								//tO
	ti.uId = uId;
	ti.hinst = (HINSTANCE)GetWindowLong(hWnd, GWL_HINSTANCE);	//CX^Xnh

	//ti.uId = uId;					//\Rg[ID
	ti.lpszText = (LPTSTR)string;	//c[`bṽeLXg

	//c[`bv̕\Ώۗ̈
	GetRectInClient(hWnd, (HWND)GetWindowLong(hWnd, GWL_HWNDPARENT), &ti.rect);

	//c[`bvǉ
	SendMessage(hWndTips, TTM_ADDTOOL, 0, (LPARAM)(LPTOOLINFO)&ti);


	/* For Enable */
	//\̂̐ݒ
	ti.cbSize = sizeof(TOOLINFO);							//\̂̃TCY
	ti.hwnd = hWnd;	//eEChẼnh
	ti.uFlags = TTF_SUBCLASS;								//tO
	ti.uId = uId;
	ti.hinst = (HINSTANCE)GetWindowLong(hWnd, GWL_HINSTANCE);	//CX^Xnh

	//ti.uId = uId;					//\Rg[ID
	ti.lpszText = (LPTSTR)string;	//c[`bṽeLXg

	//c[`bv̕\Ώۗ̈
	GetClientRect(hWnd, &ti.rect);

	//c[`bvǉ
	SendMessage(hWndTips, TTM_ADDTOOL, 0, (LPARAM)(LPTOOLINFO)&ti);

	return;
}

static BOOL makeform(HWND hWnd, HINSTANCE hInstance)
{
	LV_COLUMN lvc;
	RECT rect, rect2;

	if(!(hImgList = ImageList_Create(16, 16,		/* size */
								ILC_COLOR4/*,*/| /* color */
								ILC_MASK,	/* flags */
								4,			/* init icons */
								4			/* growing */
								)))
	{
		MessageBeep(MB_ICONERROR);
		return TRUE;
	}

	/* LoadToolbarImageList */
	{
		HBITMAP hBitmap;

		hBitmap = LoadBitmap(hInstance, MAKEINTRESOURCE(IDB_MAINTOOLBAR));
		ImageList_AddMasked(hImgList, hBitmap, RGB(0xFF, 0x00, 0xFF));
		DeleteObject(hBitmap);
	}

	if(!(hTool = CreateWindowEx(0,
							TOOLBARCLASSNAME,
							NULL,
							WS_CHILD | WS_VISIBLE | TBSTYLE_FLAT | CCS_NODIVIDER,
							0, 0, 100, 32,
							hWnd,
							(HMENU)0,
							hInstance,
							NULL)))
	{
		MessageBeep(MB_ICONERROR);
		return TRUE;
	}
	SendMessage(hTool, TB_BUTTONSTRUCTSIZE, sizeof(TBBUTTON), 0);
	SendMessage(hTool, TB_SETIMAGELIST, 0, (LPARAM)hImgList);

	// TODO: rewrite.
	//SendMessage(hToolWnd, TB_SETIMAGELIST, 0, (LPARAM)ImageList_LoadImage(GetModuleHandle(NULL), MAKEINTRESOURCE(IDB_MAINTB), 16, 4, RGB(255, 0, 255), IMAGE_BITMAP, LR_DEFAULTCOLOR/*<-ꂢ?*/));
	//ImageList_Destroy((HIMAGELIST)SendMessage(hToolWnd, TB_GETIMAGELIST, 0, 0));

	if(!(hToolTips=CreateWindowEx(0,
							TOOLTIPS_CLASS,
							NULL,
							TTS_ALWAYSTIP,
							CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT,
							hWnd,
							(HMENU)NULL,
							hInstance,
							NULL)))
	{
		MessageBeep(MB_ICONERROR);
		return TRUE;
	}

	AddToolButton(hTool, TBSTATE_ENABLED					, TBSTYLE_BUTTON	, 0	, ID_TOOL_RELOAD		, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_RELOAD));
	AddToolButton(hTool, 0									, TBSTYLE_SEP		, 0	, 0						, NULL		, hInstance, NULL);
	AddToolButton(hTool, TBSTATE_ENABLED					, TBSTYLE_BUTTON	, 11, ID_TOOL_RESIZE		, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_RESIZE));
	AddToolButton(hTool, 0									, TBSTYLE_SEP		, 0	, 0						, NULL		, hInstance, NULL);
	AddToolButton(hTool, TBSTATE_ENABLED					, TBSTYLE_BUTTON	, 1	, ID_TOOL_NEW			, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_TNEW));
	AddToolButton(hTool, TBSTATE_ENABLED					, TBSTYLE_BUTTON	, 2	, ID_TOOL_EDIT			, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_TEDIT));
	AddToolButton(hTool, TBSTATE_ENABLED					, TBSTYLE_BUTTON	, 3	, ID_TOOL_DELETE		, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_TDELETE));
	AddToolButton(hTool, 0									, TBSTYLE_SEP		, 0	, 0						, NULL		, hInstance, NULL);
	AddToolButton(hTool, TBSTATE_ENABLED					, TBSTYLE_BUTTON	, 4	, ID_TOOL_ALLCHECK		, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_CHECKALL));
	AddToolButton(hTool, TBSTATE_ENABLED					, TBSTYLE_BUTTON	, 5	, ID_TOOL_ALLUNCHECK	, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_UNCHECKALL));
	AddToolButton(hTool, 0									, TBSTYLE_SEP		, 0	, 0						, NULL		, hInstance, NULL);
	AddToolButton(hTool, TBSTATE_ENABLED					, TBSTYLE_CHECK		, 6	, ID_TOOL_ADDDATE		, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_ADDDATE));
	AddToolButton(hTool, TBSTATE_ENABLED					, TBSTYLE_CHECK		, 7	, ID_TOOL_COMPRESS		, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_COMPRESS));
	AddToolButton(hTool, 0									, TBSTYLE_BUTTON	, 0	, ID_TOOL_COMPRESSTYPE	, NULL		, hInstance, NULL);
	AddToolButton(hTool, 0									, TBSTYLE_BUTTON	, 0	, ID_TOOL_COMPRESSTYPE2	, NULL		, hInstance, NULL);
	AddToolButton(hTool, 0									, TBSTYLE_BUTTON	, 0	, ID_TOOL_COMPRESSTYPE3	, NULL		, hInstance, NULL);
	AddToolButton(hTool, TBSTATE_ENABLED					, TBSTYLE_CHECK		, 15, ID_TOOL_USEREGEDIT	, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_USEREGEDIT));
	AddToolButton(hTool, TBSTATE_ENABLED					, TBSTYLE_CHECK		, 8	, ID_TOOL_LOG			, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_LOG));
	AddToolButton(hTool, TBSTATE_ENABLED | TBSTATE_CHECKED	, TBSTYLE_CHECK		, 9	, ID_TOOL_GRID			, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_GRID));
	AddToolButton(hTool, 0									, TBSTYLE_SEP		, 0	, 0						, NULL		, hInstance, NULL);
	AddToolButton(hTool, TBSTATE_ENABLED					, TBSTYLE_BUTTON	, 10, ID_TOOL_GO			, hToolTips	, hInstance, AllocLoadString(IDS_TBTIP_DOBACKUP));

	// x̓c[o[Ƀc[`bvZbg
	SendMessage(hTool, TB_SETTOOLTIPS, (WPARAM)hToolTips, 0);

	// ḱB
	SendMessage(hTool, TB_GETRECT, (WPARAM)ID_TOOL_COMPRESSTYPE, (LPARAM)&rect);
	SendMessage(hTool, TB_GETRECT, (WPARAM)ID_TOOL_COMPRESSTYPE3, (LPARAM)&rect2);

	if(!(hCombo = CreateWindowEx(0,
							"COMBOBOX",
							NULL,
							WS_CHILD | WS_VISIBLE | WS_DISABLED | CBS_DROPDOWNLIST,
							rect.left, rect.top, rect2.right - rect.left, 200/*̓Xg̒*/,
							hTool,	// eToolo[
							NULL,
							hInstance,
							NULL)))
	{
		MessageBeep(MB_ICONERROR);
		return TRUE;
	}

	// ACeǉ
	{
		int i;
		
		for(i = 0; comptypes[i] != NULL; i++)
			SendMessage(hCombo, CB_ADDSTRING, 0, (LPARAM)(LPCTSTR)comptypes[i]);
	}

	// IZbgƃtHgݒ
	SendMessage(hCombo, CB_SETCURSEL, 0, 0);
	SendMessage(hCombo, WM_SETFONT, (WPARAM)GetStockObject(DEFAULT_GUI_FONT), MAKELONG(1, 0));

	SetToolTip(hCombo, hToolTips, 100, AllocLoadString(IDS_TBTIP_COMPRESSTYPE));


	// obNAbv
	GetClientRect(hTool, &rect);
#ifdef _DEBUG
	if(!(hBackupto = CreateWindowEx(WS_EX_CLIENTEDGE, TEXT("Edit"), TEXT("L:\\backtmp"), WS_CHILD | WS_VISIBLE | ES_AUTOHSCROLL,
#else
	if(!(hBackupto = CreateWindowEx(WS_EX_CLIENTEDGE, TEXT("Edit"), NULL, WS_CHILD | WS_VISIBLE | ES_AUTOHSCROLL,
#endif
							0, rect.bottom, rect.right, 20,
							hWnd,
							NULL, hInstance, NULL)))
	{
		MessageBeep(MB_ICONERROR);
		return TRUE;
	}
	SendMessage(hBackupto, WM_SETFONT, (WPARAM)GetStockObject(DEFAULT_GUI_FONT), MAKELONG(1, 0));
	// obNAbvQ
	if(!(hBackuptoRefer = CreateWindowEx(0, TEXT("Button"), AllocLoadString(IDS_REFER), WS_CHILD | WS_VISIBLE | BS_PUSHBUTTON,
							CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT,
							hWnd,
							(HMENU)ID_BACKUPTOREFER, hInstance, NULL)))
	{
		MessageBeep(MB_ICONERROR);
		return TRUE;
	}
	SendMessage(hBackuptoRefer, WM_SETFONT, (WPARAM)GetStockObject(DEFAULT_GUI_FONT), MAKELONG(1, 0));


	// Xe[^Xo[
	if(!(hStatus = CreateStatusWindow(WS_CHILD | WS_VISIBLE | SBARS_SIZEGRIP | CCS_BOTTOM, NULL, hWnd, ID_STATUS)))
	{
		MessageBeep(MB_ICONERROR);
		return TRUE;
	}

	if(!(hProgress[0] = CreateWindowEx(0,
							PROGRESS_CLASS,
							NULL,
							WS_CHILD | WS_VISIBLE | PBS_SMOOTH,
							0, 0, 0, 0,
							hStatus,	//e̓Xe[^Xo[
							NULL,
							hInstance,
							NULL)))
	{
		MessageBeep(MB_ICONERROR);
		return TRUE;
	}
	SendMessage(hProgress[0], PBM_SETRANGE, 0, MAKELPARAM(0, 100));
	SendMessage(hProgress[0], PBM_SETSTEP, 1, 0);
	SendMessage(hProgress[0], PBM_SETPOS, 0, 0);
	if(!(hProgress[1] = CreateWindowEx(0,
							PROGRESS_CLASS,
							NULL,
							WS_CHILD | WS_VISIBLE | PBS_SMOOTH,
							0, 0, 0, 0,
							hStatus,	//e̓Xe[^Xo[
							NULL,
							hInstance,
							NULL)))
	{
		MessageBeep(MB_ICONERROR);
		return TRUE;
	}
	SendMessage(hProgress[1], PBM_SETRANGE, 0, MAKELPARAM(0, 100));
	SendMessage(hProgress[1], PBM_SETSTEP, 1, 0);
	SendMessage(hProgress[1], PBM_SETPOS, 0, 0);

	if(!(hList = CreateWindowEx(
		0,
		WC_LISTVIEW,NULL,
		WS_CHILD | WS_VISIBLE | WS_VSCROLL |
		LVS_REPORT | /*LVS_NOSORTHEADER | */LVS_SHOWSELALWAYS/* | LVS_SINGLESEL | LVS_SORTASCENDING*/
		/*| LVS_EDITLABELS */,
		0, 0, 300, 30,
		hWnd,
		(HMENU)12345,
		hInstance,
		NULL
		)))
	{
		MessageBeep(MB_ICONERROR);
		return TRUE;
	}
	SetWindowLong(hList, GWL_EXSTYLE, GetWindowLong(hList, GWL_EXSTYLE) | WS_EX_CLIENTEDGE);
	ListView_SetExtendedListViewStyle(hList, ListView_GetExtendedListViewStyle(hList) | LVS_EX_GRIDLINES | LVS_EX_FULLROWSELECT | LVS_EX_HEADERDRAGDROP | LVS_EX_CHECKBOXES);

	lvc.mask = LVCF_TEXT | LVCF_WIDTH;

	lvc.pszText = (LPTSTR)AllocLoadString(IDS_TLIST_NAME);
	lvc.cx = 100;
	ListView_InsertColumn(hList, 0, &lvc);
	lvc.pszText = (LPTSTR)AllocLoadString(IDS_TLIST_EXPLAIN);
	ListView_InsertColumn(hList, 1, &lvc);
	lvc.pszText = (LPTSTR)AllocLoadString(IDS_TLIST_DIR);
	ListView_InsertColumn(hList, 2, &lvc);
	lvc.pszText = (LPTSTR)AllocLoadString(IDS_TLIST_FILE);
	ListView_InsertColumn(hList, 3, &lvc);

	return FALSE;
}

static void refreshList(HWND hWnd)
{
	WIN32_FIND_DATA wfd;
	HANDLE hFind;

	ListView_DeleteAllItems(hList);

	SetCurrentDirectory(TEXT("template"));

	if((hFind = FindFirstFile(TEXT("*.txt"), &wfd)) != INVALID_HANDLE_VALUE)
	{
		do
		{
			HANDLE hf;

			if((hf = CreateFile(wfd.cFileName, GENERIC_READ, FILE_SHARE_READ, NULL, OPEN_EXISTING, 0, NULL)) != INVALID_HANDLE_VALUE)
			{
				LV_ITEM lvi;
				char* str;

				lvi.mask = LVIF_PARAM;
				lvi.iItem = ListView_GetItemCount(hList);
				lvi.iSubItem = 0;
				lvi.lParam = lvi.iItem;
				ListView_InsertItem(hList, &lvi);

				// template name
				str = ReadLine(hf);
				ListView_SetItemText(hList, lvi.iItem, 0, str);
				hfree(str);

				// template description
				str = ReadLine(hf);
				ListView_SetItemText(hList, lvi.iItem, 1, str);
				hfree(str);

				// template backup dir
				str = ReadLine(hf);
				ListView_SetItemText(hList, lvi.iItem, 2, str);
				hfree(str);

				ListView_SetItemText(hList, lvi.iItem, 3, wfd.cFileName);
				ListView_SetCheckState(hList, lvi.iItem, FALSE);

				CloseHandle(hf);
			}else
				MessageBox(hWnd, AllocLoadString(IDS_ERROR_CANTOPENFILE), wfd.cFileName, MB_ICONERROR | MB_OK);
		}while(FindNextFile(hFind, &wfd));

		FindClose(hFind);
	}

	SetCurrentDirectory(TEXT(".."));

	return;
}

void appendLogDate(LPTSTR* logbuf, DWORD* logbufsize)
{
	TCHAR datestr[32];
	SYSTEMTIME st;

	GetLocalTime(&st);

	wsprintf(datestr, TEXT("%04d/%02d/%02d %02d:%02d:%02d.%03d>"), st.wYear, st.wMonth, st.wDay, st.wHour, st.wMinute, st.wSecond, st.wMilliseconds);
	appendString(logbuf, logbufsize, datestr);

	return;
}

void doBackup(HWND hWnd)
{
	int i;
	BOOL addDate = FALSE;
	BOOL log = FALSE;
	DWORD compress = 0;
	char outdir[MAX_PATH];
	DWORD checked = 0;
	BOOL useregedit = FALSE;

	if(SendMessage(hTool, TB_GETSTATE, ID_TOOL_ADDDATE, 0) & TBSTATE_CHECKED)
		addDate = TRUE;

	if(SendMessage(hTool, TB_GETSTATE, ID_TOOL_LOG, 0) & TBSTATE_CHECKED)
		log = TRUE;

	if(SendMessage(hTool, TB_GETSTATE, ID_TOOL_COMPRESS, 0) & TBSTATE_CHECKED)
		compress = SendMessage(hCombo, CB_GETCURSEL, 0, 0) + 1;

	if(SendMessage(hTool, TB_GETSTATE, ID_TOOL_USEREGEDIT, 0) & TBSTATE_CHECKED)
		useregedit = TRUE;

	GetWindowText(hBackupto, outdir, sizeof(outdir));
	if(!lstrlen(outdir))
	{
		MessageBox(hWnd, AllocLoadString(IDS_ERROR_BACKUPTOISNULL), AllocLoadString(IDS_CAPTION_ERROR), MB_ICONERROR | MB_OK);
		return;
	}

	// get checked item count
	for(i = 0; i < ListView_GetItemCount(hList); i++)
		if(ListView_GetCheckState(hList, i))
			checked++;

	if(!checked)
	{
		MessageBox(hWnd, AllocLoadString(IDS_ERROR_NOCHECKED), AllocLoadString(IDS_CAPTION_ERROR), MB_ICONERROR | MB_OK);
		return;
	}

	// setup progress bar
	SendMessage(hProgress[0], PBM_SETRANGE, 0, MAKELPARAM(0, checked));
	SendMessage(hProgress[0], PBM_SETSTEP, 1, 0);
	SendMessage(hProgress[0], PBM_SETPOS, 0, 0);

	SendMessage(hProgress[1], PBM_SETRANGE, 0, 1000);
	SendMessage(hProgress[1], PBM_SETPOS, 0, 0);

	if(!compress)
	{	// directory
		if(addDate)
		{
			SYSTEMTIME st;
			GetLocalTime(&st);
			wsprintf(outdir, TEXT("%s%04d%02d%02d"), outdir, st.wYear, st.wMonth, st.wDay);
		}

		if(!(GetFileAttributes(outdir) & FILE_ATTRIBUTE_DIRECTORY))
		{
			MessageBox(hWnd, AllocLoadString(IDS_ERROR_BACKUPTOISFILE), AllocLoadString(IDS_CAPTION_ERROR), MB_ICONERROR | MB_OK);
			return;
		}

		{
			char tmp[MAX_PATH + 128];

			lstrcpy(tmp, AllocLoadString(IDS_CONFIRM_STARTBACKUP));
			lstrcat(tmp, outdir);
			lstrcat(tmp, TEXT("\n"));

			// check destdir
			{
				char curdir[MAX_PATH];

				GetCurrentDirectory(sizeof(curdir), curdir);

				if(!SetCurrentDirectory(outdir))
				{
					lstrcat(tmp, AllocLoadString(IDS_CONFIRM_CREATEDIR));
				}else
				{
					lstrcat(tmp, AllocLoadString(IDS_CONFIRM_DIREXIST));
					SetCurrentDirectory(curdir);
				}
			}

			if(MessageBox(hWnd, tmp, AllocLoadString(IDS_CAPTION_LASTCONFIRM), MB_ICONQUESTION | MB_YESNO) == IDNO)
				return;
		}
	}else
	{	// file
		MessageBox(hWnd, TEXT("Compress have not supported yet!\nPlease compress yourself after backup.\nsorry."), "NON IMPLEMENTED FUNCTION", MB_ICONERROR | MB_OK);
		return;

		// **WARNING**
		// BELOW CODE IS USING destdir TO DECIDE FILENAME, SO THERE ARE PROBLEMS.
		// FIX PLEASE IF YOU IMPLEMENT THIS FUNCTION!

		/*
		// check destdir
		{
			char curdir[MAX_PATH];

			GetCurrentDirectory(sizeof(curdir), curdir);

			if(SetCurrentDirectory(outdir))
			{
				SetCurrentDirectory(curdir);
				MessageBox(hWnd, AllocLoadString(IDS_ERROR_BACKUPTOISDIR), AllocLoadString(IDS_CAPTION_ERROR), MB_ICONERROR | MB_OK);
				return;
			}
		}

		{
			char tmp[MAX_PATH + 128];

			lstrcpy(tmp, AllocLoadString(IDS_CONFIRM_STARTBACKUP));
			lstrcat(tmp, outdir);
			lstrcat(tmp, TEXT("\n"));

			{
				HANDLE hf;

				if((hf = CreateFile(outdir, GENERIC_READ, FILE_SHARE_READ | FILE_SHARE_WRITE, NULL, OPEN_EXISTING, 0, NULL)) != INVALID_HANDLE_VALUE)
				{
					CloseHandle(hf);
					lstrcat(tmp, TEXT(": t@C͏㏑܂B"));
				}else
					lstrcat(tmp, TEXT("t@C͐VK쐬܂B"));
			}

			if(MessageBox(hWnd, tmp, AllocLoadString(IDS_CAPTION_LASTCONFIRM), MB_ICONQUESTION | MB_YESNO) == IDNO)
				return;
		}
		*/
	}

	EnableWindow(hWnd, FALSE);
	EnableWindow(hList, FALSE);
	EnableWindow(hTool, FALSE);
	EnableWindow(hCombo, FALSE);
	EnableWindow(hBackupto, FALSE);
	EnableWindow(hBackuptoRefer, FALSE);

	RedrawWindow(hWnd, NULL, NULL, RDW_INVALIDATE | RDW_UPDATENOW);

	// BEGIN BACKUP

	addEndYen(outdir);
	makedir(outdir);

	{
		LPTSTR batch;
		UINT batchsize;
		BOOL ignoreerror = FALSE;
		UINT errors = 0;
		LPTSTR errorlist;
		UINT errorlistsize;
		LPTSTR logbuf;
		UINT logbufsize;

		newString(&batch, &batchsize);

		if(log)
		{
			newString(&logbuf, &logbufsize);

			appendLogDate(&logbuf, &logbufsize);
			appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_BEGIN));
			appendString(&logbuf, &logbufsize, TEXT("\r\n"));

			appendLogDate(&logbuf, &logbufsize);
			appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_BACKUPTO));
			appendString(&logbuf, &logbufsize, outdir);
			appendString(&logbuf, &logbufsize, TEXT("\r\n"));
		}

		// TODO: Batch accept Unicode?
		appendString(&batch, &batchsize, TEXT("@ECHO OFF\r\n"));
		// TODO: add IF
		appendString(&batch, &batchsize, TEXT("REM Generated by backmatic2: restore files or registry or both.\r\n"));
		{
			TCHAR ts[256];
			SYSTEMTIME st;

			GetLocalTime(&st);
			wsprintf(ts, TEXT("REM Generate date: %04d/%02d/%02d %02d:%02d:%02d (LocalTime)\r\n"), st.wYear, st.wMonth, st.wDay, st.wHour, st.wMinute, st.wSecond);
			appendString(&batch, &batchsize, ts);
		}
		appendString(&batch, &batchsize, TEXT("\r\n"));
		appendString(&batch, &batchsize, TEXT("REM Set mode...\r\n"));
		appendString(&batch, &batchsize, TEXT("IF \"%1\"==\"\" SET REGI=1\r\n"));
		appendString(&batch, &batchsize, TEXT("IF \"%1\"==\"\" SET FILE=1\r\n"));
		appendString(&batch, &batchsize, TEXT("IF \"%1\"==\"/r\" SET REGI=1\r\n"));
		appendString(&batch, &batchsize, TEXT("IF \"%1\"==\"/r\" SET FILE=0\r\n"));
		appendString(&batch, &batchsize, TEXT("IF \"%1\"==\"/f\" SET REGI=0\r\n"));
		appendString(&batch, &batchsize, TEXT("IF \"%1\"==\"/f\" SET FILE=1\r\n"));
		appendString(&batch, &batchsize, TEXT("\r\n"));
		appendString(&batch, &batchsize, TEXT("ECHO Restoreing templates...\r\n"));
		appendString(&batch, &batchsize, TEXT("ECHO.\r\n"));
		appendString(&batch, &batchsize, TEXT("\r\n"));

		if(GetAsyncKeyState(VK_SHIFT))
			ignoreerror = TRUE;

		newString(&errorlist, &errorlistsize);

		for(i = 0; i < ListView_GetItemCount(hList); i++)
		{
			if(GetAsyncKeyState(VK_ESCAPE) & 0x8000)
			{
				if(MessageBox(hWnd, AllocLoadString(IDS_CONFIRM_REALLYABORTBACKUP), AllocLoadString(IDS_CAPTION_CONFIRM), MB_ICONQUESTION | MB_YESNO | MB_DEFBUTTON2) == IDYES)
				{
					if(log)
					{
						appendLogDate(&logbuf, &logbufsize);
						appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_ABORTBACKUP));
						appendString(&logbuf, &logbufsize, TEXT("\r\n"));
					}

					break;
				}
			}

			if(ListView_GetCheckState(hList, i))
			{
				char ts[MAX_PATH];
				char tmName[MAX_PATH];
				LPTSTR errorverbose;
				UINT errorverbosesize;

				ListView_GetItemText(hList, i, 0, tmName, 256);
				wsprintf(ts, AllocLoadString(IDS_STATUS_DOING), tmName);
				if(errors)
					wsprintf(ts, AllocLoadString(IDS_STATUS_ERROR), ts, errors);
				SendMessage(hStatus, SB_SETTEXT, 0 | SBT_NOBORDERS, (LPARAM)ts);

				if(log)
				{
					appendLogDate(&logbuf, &logbufsize);
					appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_EXECTEMPLATE));
					appendString(&logbuf, &logbufsize, tmName);
					appendString(&logbuf, &logbufsize, TEXT("\r\n"));
				}

				lstrcpy(ts, TEXT("Template\\"));
				ListView_GetItemText(hList, i, 3, tmName, 256);
				lstrcat(ts, tmName);

				newString(&errorverbose, &errorverbosesize);

				if(doTemplate(ts, outdir, &batch, &batchsize, &errorverbose, &errorverbosesize, ignoreerror, useregedit))
				{
					errors++;
					ListView_GetItemText(hList, i, 0, tmName, 256);
					appendString(&errorlist, &errorlistsize, tmName);
					appendString(&errorlist, &errorlistsize, TEXT("\r\n"));

					if(log)
					{
						appendLogDate(&logbuf, &logbufsize);
						appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_EXECTEMPERROR));
						appendString(&logbuf, &logbufsize, TEXT("\r\n"));
						appendString(&logbuf, &logbufsize, errorverbose);
					}
				}else
				{
					ListView_SetCheckState(hList, i, FALSE);

					if(log)
					{
						appendLogDate(&logbuf, &logbufsize);
						appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_EXECTEMPOK));
						appendString(&logbuf, &logbufsize, TEXT("\r\n"));
					}
				}

				hfree(errorverbose);

				SendMessage(hProgress[0], PBM_STEPIT, 0, 0);
			}
		}

		appendString(&batch, &batchsize, TEXT("ECHO Finished!\r\n"));

		SendMessage(hStatus, SB_SETTEXT, 0 | SBT_NOBORDERS, (LPARAM)AllocLoadString(IDS_STATUS_WRITEBATCH));

		if(log)
		{
			appendLogDate(&logbuf, &logbufsize);
			appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_WRITEBATCH));
			appendString(&logbuf, &logbufsize, TEXT("\r\n"));
		}

		{
			HANDLE hf;
			TCHAR batchfname[MAX_PATH];
			BOOL newbatch = FALSE;

			lstrcpy(batchfname, outdir);
			lstrcat(batchfname, TEXT("Restore.bat"));

			if(log && GetFileAttributes(batchfname) == 0xFFFFFFFF)
			{
				appendLogDate(&logbuf, &logbufsize);
				appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_BATCHNEW));
				appendString(&logbuf, &logbufsize, TEXT("\r\n"));

				newbatch = TRUE;
			}

			if(GetFileAttributes(batchfname) != 0xFFFFFFFF && MessageBox(hWnd, AllocLoadString(IDS_CONFIRM_EXISTBATCH), AllocLoadString(IDS_CAPTION_QUESTION), MB_YESNO) == IDYES)
			{
				// ǋL
				if(log)
				{
					appendLogDate(&logbuf, &logbufsize);
					appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_BATCHAPPEND));
					appendString(&logbuf, &logbufsize, TEXT("\r\n"));
				}

batchAppendReOpen:
				if((hf = CreateFile(batchfname, GENERIC_WRITE, 0, NULL, OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, NULL)) == INVALID_HANDLE_VALUE)
				{
					if(MessageBox(hWnd, AllocLoadString(IDS_ERROR_CANTOPENBATCH), AllocLoadString(IDS_CAPTION_ERROR), MB_ICONERROR | MB_YESNO) == IDYES)
						goto batchAppendReOpen;
				}else
				{
					DWORD written;
					DWORD bfsize;

					bfsize = GetFileSize(hf, NULL);

batchAppendReWrite:
					SetFilePointer(hf, bfsize, NULL, FILE_BEGIN);
					if(!WriteFile(hf, batch, lstrlen(batch) * sizeof(TCHAR), &written, NULL))
						written = 0;

					if(written < lstrlen(batch) * sizeof(TCHAR))
						if(MessageBox(hWnd, AllocLoadString(IDS_ERROR_CANTWRITEBATCH), AllocLoadString(IDS_CAPTION_ERROR), MB_ICONERROR | MB_YESNO) == IDYES)
							goto batchAppendReWrite;

					CloseHandle(hf);
				}
			}else
			{
				// ㏑
				if(log && !newbatch)
				{
					appendLogDate(&logbuf, &logbufsize);
					appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_BATCHOW));
					appendString(&logbuf, &logbufsize, TEXT("\r\n"));
				}

batchReOpen:
				if((hf = CreateFile(batchfname, GENERIC_WRITE, 0, NULL, CREATE_ALWAYS, FILE_ATTRIBUTE_NORMAL, NULL)) == INVALID_HANDLE_VALUE)
				{
					if(MessageBox(hWnd, AllocLoadString(IDS_ERROR_CANTOPENBATCH), AllocLoadString(IDS_CAPTION_ERROR), MB_ICONERROR | MB_YESNO) == IDYES)
						goto batchReOpen;
				}else
				{
					DWORD written;

batchReWrite:
					if(!WriteFile(hf, batch, lstrlen(batch) * sizeof(TCHAR), &written, NULL))
						written = 0;

					if(written < lstrlen(batch) * sizeof(TCHAR))
						if(MessageBox(hWnd, AllocLoadString(IDS_ERROR_CANTWRITEBATCH), AllocLoadString(IDS_CAPTION_ERROR), MB_ICONERROR | MB_YESNO) == IDYES)
						{
							SetFilePointer(hf, 0, NULL, FILE_BEGIN);
							goto batchReWrite;
						}

					CloseHandle(hf);
				}
			}
		}

		if(log)
		{
			appendLogDate(&logbuf, &logbufsize);
			appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_WROTEBATCH));
			appendString(&logbuf, &logbufsize, TEXT("\r\n"));
		}

		// Status: FINISH
		{
			char ts[256];

			lstrcpy(ts, AllocLoadString(IDS_STATUS_FINISH));
			if(errors)
				wsprintf(ts, AllocLoadString(IDS_STATUS_ERROR), ts, errors);
			SendMessage(hStatus, SB_SETTEXT, 0 | SBT_NOBORDERS, (LPARAM)ts);
		}

		if(log)
		{
			HANDLE hf = NULL;
			TCHAR logfname[MAX_PATH];

			lstrcpy(logfname, outdir);
			lstrcat(logfname, TEXT("log.txt"));

			// Always append!
			if((hf = CreateFile(logfname, GENERIC_WRITE, 0, NULL, OPEN_ALWAYS, FILE_ATTRIBUTE_NORMAL, NULL)) == INVALID_HANDLE_VALUE)
				MessageBox(hWnd, AllocLoadString(IDS_ERROR_CANTOPENLOG), AllocLoadString(IDS_CAPTION_ERROR), MB_ICONERROR | MB_OK);
			else
			{
				DWORD written;

				SetFilePointer(hf, GetFileSize(hf, NULL), NULL, FILE_BEGIN);

				if(!errors)
				{
					appendLogDate(&logbuf, &logbufsize);
					appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_NOERROR));
					appendString(&logbuf, &logbufsize, TEXT("\r\n"));
				}else
				{
					appendLogDate(&logbuf, &logbufsize);
					appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_BACKUPERROR));
					appendString(&logbuf, &logbufsize, TEXT("\r\n"));

					appendString(&logbuf, &logbufsize, errorlist);
				}

				appendLogDate(&logbuf, &logbufsize);
				appendString(&logbuf, &logbufsize, AllocLoadString(IDS_LOG_END));
				appendString(&logbuf, &logbufsize, TEXT("\r\n"));

				if(!WriteFile(hf, logbuf, lstrlen(logbuf) * sizeof(TCHAR), &written, NULL))
					written = 0;
				if(written < lstrlen(logbuf) * sizeof(TCHAR))
					MessageBox(hWnd, AllocLoadString(IDS_ERROR_CANTWRITELOG), AllocLoadString(IDS_CAPTION_ERROR), MB_ICONERROR | MB_OK);

				CloseHandle(hf);
			}
		}

		if(!errors)
			MessageBox(hWnd, AllocLoadString(IDS_NOTIFY_NOERROR), AllocLoadString(IDS_CAPTION_NOTIFY), MB_ICONINFORMATION | MB_OK);
		else
		{
			LPTSTR errormsg;
			DWORD errormsgsize;

			newString(&errormsg, &errormsgsize);

			appendString(&errormsg, &errormsgsize, AllocLoadString(IDS_NOTIFY_BACKUPERROR));
			if(!ignoreerror)
				appendString(&errormsg, &errormsgsize, AllocLoadString(IDS_NOTIFY_BACKUPSHIFT));
			appendString(&errormsg, &errormsgsize, TEXT("\n"));

			appendString(&errormsg, &errormsgsize, errorlist);

			MessageBox(hWnd, errormsg, AllocLoadString(IDS_CAPTION_NOTIFY), MB_ICONERROR | MB_OK);

			hfree(errormsg);
		}

		hfree(batch);
		hfree(errorlist);
	}

	// END BACKUP

	EnableWindow(hList, TRUE);
	EnableWindow(hTool, TRUE);
	if(SendMessage(hTool, TB_GETSTATE, ID_TOOL_COMPRESS, 0) & TBSTATE_CHECKED)
		EnableWindow(hCombo, TRUE);
	EnableWindow(hBackupto, TRUE);
	EnableWindow(hBackuptoRefer, TRUE);
	EnableWindow(hWnd, TRUE);
	SetForegroundWindow(hWnd);

	return;
}

BOOL CALLBACK AboutDlgProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
	switch(msg)
	{
	case WM_INITDIALOG:
		{
			VERSION v;
			TCHAR vstr[64];

			getVersion(&v);

			wsprintf(vstr, TEXT("Version %d.%d.%d.%d"), v.major, v.minor, v.patch, v.build);
			SetDlgItemText(hWnd, IDC_VERSION, vstr);
		}

		SetWindowLong(hWnd, DWL_USER, 0);

		return TRUE;
	case WM_COMMAND:
		switch(LOWORD(wParam))
		{
		case IDCANCEL:
		case IDOK:
#ifdef USEFMOD
			{
				FMUSIC_MODULE* mod;
				mod = (FMUSIC_MODULE*)GetWindowLong(hWnd, DWL_USER);
				FMUSIC_FreeSong(mod);
			}
#endif

			EndDialog(hWnd, 0);
			break;
		case IDC_APPICON:
#ifdef USEFMOD
			if(!GetWindowLong(hWnd, DWL_USER))
			{
				FMUSIC_MODULE* mod;

				setMinifmodCallback();
				mod = FMUSIC_LoadSong(MAKEINTRESOURCE(IDR_ABOUTXM), NULL);
				FMUSIC_PlaySong(mod);

				SetWindowLong(hWnd, DWL_USER, (LPARAM)mod);

				// TODO: stub
				/*
				SetDlgItemText(hWnd, IDC_LINEBOX, "Line 370 - |GȂ!");
				SetDlgItemText(hWnd, IDC_LINE1, "ǁ[ɂ́B");
				SetDlgItemText(hWnd, IDC_LINE2, "Cőgł݂܂B");
				SetDlgItemText(hWnd, IDC_LINE3, "邢BBorland܂1NȏォĂƂ́B");
				SetDlgItemText(hWnd, IDC_LINE4, "oO񍐓҂Ă܂B");
				SetDlgItemText(hWnd, IDC_LINE5, "̓eX^[ȂĂڂB");
				*/
			}
#endif
			break;
		}
		break;
	case WM_CLOSE:
		SendMessage(hWnd, WM_COMMAND, IDCANCEL, 0);
		break;
	}

	return FALSE;
}

static LRESULT CALLBACK WndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
	int w,h;
	LV_DISPINFO *lvinfo;
	static char *memtes = NULL;

	switch(msg){
	case WM_CREATE:
		{
			HMENU hsm;

			hsm = GetSystemMenu(hWnd, FALSE);
			InsertMenu(hsm, GetMenuItemCount(hsm), MF_BYPOSITION | MF_SEPARATOR, 0, NULL);
			InsertMenu(hsm, GetMenuItemCount(hsm), MF_BYPOSITION | MF_STRING, ID_ABOUT, AllocLoadString(IDS_CAPTION_ABOUT));
		}
		break;
	case WM_NOTIFY:
		//SendMessage(hProgress[1], PBM_STEPIT, 0, 0);
		if((int)wParam == 12345)
		{
			lvinfo = (LV_DISPINFO *)lParam;

			switch (lvinfo->hdr.code)
			{
				NM_LISTVIEW *pNMLV;
				//char buf[256];

			//case LVN_ITEMCHANGED:
				//pNMLV = (NM_LISTVIEW *)lParam;
				//ListView_GetItemText(hList, pNMLV->iItem, 1, buf, sizeof(buf));
				//SendMessage(hStatus, SB_SETTEXT, 0 | SBT_NOBORDERS, (LPARAM)(LPSTR)buf);
				//break;
			case LVN_COLUMNCLICK:
				pNMLV = (NM_LISTVIEW *)lParam;
				if(sortcol == pNMLV->iSubItem)
				{
					sortseq = (sortseq + 1) % 2;
				}
				else
				{
					sortcol = pNMLV->iSubItem;
					sortseq = 0;
				}
				ListView_SortItems(hList, MyCompProc, pNMLV->iSubItem);
				break;
			case NM_DBLCLK:
				SendMessage(hWnd, WM_COMMAND, ID_TOOL_EDIT, 0);
				break;
			}
		}
		break;

	case WM_SYSCOMMAND:
		if(LOWORD(wParam) == ID_ABOUT)
			DialogBoxParam(GetModuleHandle(NULL), MAKEINTRESOURCE(IDD_ABOUTDLG), hWnd, AboutDlgProc, 0);
	case WM_COMMAND:
		switch(LOWORD(wParam))
		{
		case ID_TOOL_RELOAD:
			refreshList(hWnd);
			break;
		case ID_TOOL_RESIZE:
			{
				RECT rect, rect2;

				GetClientRect(hWnd, &rect);
				SendMessage(hTool, TB_GETITEMRECT, (WPARAM)SendMessage(hTool, TB_BUTTONCOUNT, 0, 0) - 1, (LPARAM)&rect2);
				rect.right = rect2.right;
				AdjustWindowRect(&rect, GetWindowLong(hWnd, GWL_STYLE), FALSE);
				SetWindowPos(hWnd, NULL, 0, 0, rect.right - rect.left, rect.bottom - rect.top, SWP_NOZORDER | SWP_NOMOVE);
			}
			break;
		case ID_TOOL_NEW:
			if(CreateTEditForm(hWnd, NULL))
				SendMessage(hWnd, WM_COMMAND, ID_TOOL_RELOAD, 0);
			break;
		case ID_TOOL_EDIT:
			{
				int max, i;

				max = ListView_GetItemCount(hList);

				for(i = 0; i < max; i++)
				{
					if(ListView_GetItemState(hList, i, LVIS_SELECTED) & LVIS_SELECTED)
					{
						TCHAR tfname[MAX_PATH];

						GetModuleFileName(GetModuleHandle(NULL), tfname, sizeof(tfname));
						lstrcpy((LPTSTR)basename(tfname), TEXT("Template\\"));

						//lstrcpy(tfname, TEXT("Template\\"));
						ListView_GetItemText(hList, i, 3, tfname + lstrlen(tfname), sizeof(tfname) - lstrlen(tfname));
						if(CreateTEditForm(hWnd, tfname))
							SendMessage(hWnd, WM_COMMAND, ID_TOOL_RELOAD, 0);
					}
				}
			}
			break;
		case ID_TOOL_DELETE:
			{
				UINT selected = 0;
				int max, i;

				max = ListView_GetItemCount(hList);

				for(i = 0; i < max; i++)
				{
					if(ListView_GetItemState(hList, i, LVIS_SELECTED) & LVIS_SELECTED)
						selected++;
				}

				if(!selected)
				{
					MessageBox(hWnd, AllocLoadString(IDS_NOTIFY_NOSELECTED), AllocLoadString(IDS_CAPTION_NOTIFY), MB_ICONNOTIFY | MB_OK);
				}else
				{
					TCHAR ts[1024];

					wsprintf(ts, AllocLoadString(IDS_CONFIRM_DELETETEMPLATESCANTUNDO), selected);
					if(MessageBox(hWnd, ts, AllocLoadString(IDS_CAPTION_QUESTION), MB_ICONWARNING | MB_YESNO | MB_DEFBUTTON2) == IDYES)
					{
						while((i = ListView_GetNextItem(hList, -1, LVNI_SELECTED)) != -1)
						{
							TCHAR tfname[MAX_PATH];

							GetModuleFileName(GetModuleHandle(NULL), tfname, sizeof(tfname));
							lstrcpy((LPTSTR)basename(tfname), TEXT("Template\\"));

							ListView_GetItemText(hList, i, 3, tfname + lstrlen(tfname), sizeof(tfname) - lstrlen(tfname));
							DeleteFile(tfname);
							ListView_DeleteItem(hList, i);
						}
					}
				}
			}
			break;
		case ID_TOOL_ALLCHECK:
			{
				int i;

				for(i = 0; i < ListView_GetItemCount(hList); i++)
					ListView_SetCheckState(hList, i, TRUE);
			}
			break;
		case ID_TOOL_ALLUNCHECK:
			{
				int i;

				for(i = 0; i < ListView_GetItemCount(hList); i++)
					ListView_SetCheckState(hList, i, FALSE);
			}
			break;
		case ID_TOOL_ADDDATE:
			// NOP
			break;
		case ID_TOOL_COMPRESS:
			{
				LRESULT ret = SendMessage(hTool, TB_GETSTATE, ID_TOOL_COMPRESS, 0);

				if (ret & TBSTATE_CHECKED)
				{
					EnableWindow(hCombo, TRUE);
				}else{
					EnableWindow(hCombo, FALSE);
				}
			}
			break;
		case ID_TOOL_LOG:
			// NOP
			break;
		case ID_TOOL_GRID:
			{
				LRESULT ret = SendMessage(hTool, TB_GETSTATE, ID_TOOL_GRID, 0);

				if (ret & TBSTATE_CHECKED)
				{
					ListView_SetExtendedListViewStyle(hList, ListView_GetExtendedListViewStyle(hList) | LVS_EX_GRIDLINES);
				}
				else
				{
					ListView_SetExtendedListViewStyle(hList, ListView_GetExtendedListViewStyle(hList) & ~LVS_EX_GRIDLINES);
				}
			}
			break;
		case ID_TOOL_GO:
			doBackup(hWnd);
			break;
		case ID_BACKUPTOREFER:
			{
				LRESULT ret = SendMessage(hTool, TB_GETSTATE, ID_TOOL_COMPRESS, 0);

				if (ret & TBSTATE_CHECKED)
				{
					OPENFILENAME ofn = {0};
					char buf[MAX_PATH];

					ofn.lStructSize = sizeof(ofn);
					ofn.hwndOwner = hWnd;
					ofn.lpstrFilter = TEXT("kt@C(*.lzh)\0*.lzh\0St@C(*.*)\0*.*\0");
					ofn.lpstrCustomFilter = NULL;
					ofn.nFilterIndex = 1;
					buf[0] = 0;
					ofn.lpstrFile = (LPSTR)buf;
					ofn.nMaxFile = sizeof(buf);
					ofn.lpstrFileTitle = (LPSTR)buf;
					ofn.nMaxFileTitle = sizeof(buf);
					ofn.lpstrInitialDir = NULL;
					ofn.lpstrTitle = AllocLoadString(IDS_CAPTION_FILESAVE);
					ofn.lpstrDefExt = NULL;
					ofn.Flags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT;
					if(GetSaveFileName((LPOPENFILENAME)&ofn))
						SetWindowText(hBackupto, buf);
				}else
				{
					BROWSEINFO bi = {0};
					char buf[MAX_PATH];
					LPITEMIDLIST id;

					bi.hwndOwner = hWnd;
					bi.lpszTitle = AllocLoadString(IDS_SELECTBACKUPTO);
					bi.ulFlags = BIF_RETURNONLYFSDIRS | BIF_DONTGOBELOWDOMAIN/* | 0x0040*/;
					if(id = SHBrowseForFolder(&bi))
					{
						SHGetPathFromIDList(id, buf);
						CoTaskMemFree(id);
						SetWindowText(hBackupto, buf);
					}
				}
			}
			break;
		default:
			return(DefWindowProc(hWnd, msg, wParam, lParam));
		}
		break;

	case WM_SIZE:
		{
			int tsize, ssize, bsize;
			RECT rect;

			// c[o[TCYύX
			SendMessage(hTool, WM_SIZE, wParam, lParam);
			// Xe[^Xo[ATCYύXB
			SendMessage(hStatus, WM_SIZE, wParam, lParam);

			// c[o[̍
			GetWindowRect(hTool, &rect);
			tsize = rect.bottom - rect.top;
			// obNAbv͗̍
			GetWindowRect(hBackupto, &rect);
			bsize = rect.bottom - rect.top;
			// Xe[^Xo[̍
			GetWindowRect(hStatus, &rect);
			ssize = rect.bottom - rect.top;
			// CEBhÊł
			GetClientRect(hWnd,&rect);
			w = rect.right - rect.left;
			h = rect.bottom - rect.top - tsize - ssize - bsize;
			// Xgr[ړ
			MoveWindow(hList, 0, 0 + tsize + bsize, w, h, FALSE);
			// "obNAbv"ړ
			SetWindowPos(hBackupto, 0, 0, tsize, w - 50, 18, SWP_NOZORDER);
			SetWindowPos(hBackuptoRefer, 0, w - 50, tsize, 50, 18, SWP_NOZORDER);

			{
				int size[2];
				int w2, h2;

				// ssizeĂ͉̂Ẽnh(`)
				size[0] = w - ssize - 100;
				size[1] = w - ssize;
				SendMessage(hStatus, SB_SETPARTS, 2, (LPARAM)(LPINT)size);

				SendMessage(hStatus, SB_GETRECT, (WPARAM)1, (LPARAM)&rect);

				// vOXړ
				w2 = rect.right - rect.left;
				h2 = rect.bottom - rect.top;
				MoveWindow(hProgress[0], rect.left, rect.top, w2, h2 / 2, TRUE);
				MoveWindow(hProgress[1], rect.left, rect.top + (h2 / 2), w2, h2 / 2, TRUE);
			}

			// k`
			/*
			SendMessage(hTool, TB_GETRECT, (WPARAM)ID_TOOL_COMPRESSTYPE, (LPARAM)&rect);
			SendMessage(hTool, TB_GETRECT, (WPARAM)ID_TOOL_COMPRESSTYPE3, (LPARAM)&rect2);
			MoveWindow(hCombo, rect.left, rect.top, rect2.right - rect.left, 200, FALSE);	// 200 = Combobox̃Xg̒ɂȂ
			*/

			InvalidateRect(hWnd, NULL, FALSE);
		}
		break;
#if 0
	case WM_GETMINMAXINFO:
		{
			LPMINMAXINFO mminfo = (LPMINMAXINFO)lParam;
			RECT rect, rect2;

			//mminfo->ptMinTrackSize.x = 200;
			//mminfo->ptMinTrackSize.y = 200;

			GetClientRect(hWnd, &rect);
			SendMessage(hTool, TB_GETITEMRECT, (WPARAM)SendMessage(hTool, TB_BUTTONCOUNT, 0, 0) - 1, (LPARAM)&rect2);
			rect.right = rect2.right;
			AdjustWindowRect(&rect, GetWindowLong(hWnd, GWL_STYLE), FALSE);
			//mminfo->ptMaxSize.x = rect.right - rect.left;

			//GetWindowRect(hWnd, &rect);
			//mminfo->ptMaxPosition.x = rect.left;

			//DebugBox("%d", mminfo->ptMaxSize.y);
		}
		break;
#endif
	case WM_CLOSE:
		DestroyWindow(hWnd);
		break;
	case WM_DESTROY:
		ImageList_Destroy(hImgList);
		PostQuitMessage(0);
		break;
	}

	return DefWindowProc(hWnd, msg, wParam, lParam);
}

static BOOL InitApp(HINSTANCE hInstance){
	WNDCLASS wc = {0};

	wc.style			= CS_HREDRAW | CS_VREDRAW;
	wc.lpfnWndProc		= WndProc;
	wc.cbClsExtra		= 0;
	wc.cbWndExtra		= 0;
	wc.hInstance		= hInstance;
	wc.hIcon			= (HICON)LoadIcon(hInstance,(char *)IDI_MAINICON);
	wc.hCursor			= (HCURSOR)LoadCursor(NULL, IDC_ARROW);
	//wc.hbrBackground	= CreateSolidBrush(GetSysColor(COLOR_3DFACE));
	wc.lpszMenuName		= NULL;
	wc.lpszClassName	= (LPCTSTR)APPCLASS;

	hAppInst = hInstance;

	return RegisterClass(&wc);
}

static BOOL InitWnd(HINSTANCE hInstance, int nCmdShow){
	HWND hWnd;

	hWnd = CreateWindow(
		(LPCTSTR)APPCLASS,
		(LPCTSTR)AllocLoadString(IDS_CAPTION_MAINWINDOW),
		WS_OVERLAPPEDWINDOW,
		CW_USEDEFAULT, CW_USEDEFAULT,
		CW_USEDEFAULT, CW_USEDEFAULT,
		NULL, NULL, hInstance,
		NULL
	);

	if(!hWnd)
		return FALSE;

	makeform(hWnd, hInstance);
	//ListView_SetColumnWidth(hList, 0, LVSCW_AUTOSIZE);
	SendMessage(hWnd, WM_COMMAND, ID_TOOL_RESIZE, (LPARAM)hWnd);

	SendMessage(hStatus, SB_SETTEXT, 0 | SBT_NOBORDERS, (LPARAM)AllocLoadString(IDS_STATUS_READY));

	refreshList(hWnd);

	ShowWindow(hWnd, nCmdShow);
	UpdateWindow(hWnd);
	SetFocus(hWnd);

	return TRUE;
}

int WINAPI WinMain(HINSTANCE hCurInst, HINSTANCE hPreInst, LPSTR lpszCmdLine, int nCmdShow){
	BOOL ret;
	MSG msg;

	// exẽfBNgֈړ
	{
		TCHAR exedir[MAX_PATH];

		GetModuleFileName(hCurInst, exedir, sizeof(exedir));
		*(LPTSTR)basename(exedir) = TEXT('\0');
		SetCurrentDirectory(exedir);
	}

	hAppInst = hCurInst;

	if(!hPreInst)
		if(!InitApp(hAppInst))
			return FALSE;

	InitCommonControls();

	if(!InitWnd(hAppInst,nCmdShow))
		return FALSE;

	while(0 != (ret = GetMessage(&msg, NULL, 0, 0)))
	{
		if (ret != -1)
		{
			TranslateMessage(&msg);
			DispatchMessage(&msg);
		}
	}

	FreeLoadedStrings();

	return msg.wParam;
}

/*
void WinMainCRTStartup(void)
{
	STARTUPINFO si;

	GetStartupInfo(&si);
	ExitProcess(WinMain(GetModuleHandle(NULL), NULL, GetCommandLine(), si.wShowWindow));
}
*/
